Hinweise zur Dokumentation

Diese Beschreibung wendet sich ausschließlich an ausgebildetes Fachpersonal der Steuerungs- und Automatisierungstechnik, das mit den geltenden nationalen Normen vertraut ist.
Zur Installation und Inbetriebnahme der Komponenten ist die Beachtung der nachfolgenden Hinweise und Erklärungen unbedingt notwendig.

Das Fachpersonal hat sicherzustellen, dass die Anwendung bzw. der Einsatz der beschriebenen Produkte alle Sicherheitsanforderungen, einschließlich sämtlicher anwendbaren Gesetze, Vorschriften, Bestimmungen und Normen erfüllt.

Disclaimer

Diese Dokumentation wurde sorgfältig erstellt. Die beschriebenen Produkte werden jedoch ständig weiter entwickelt.
Deshalb ist die Dokumentation nicht in jedem Fall vollständig auf die Übereinstimmung mit den beschriebenen Leistungsdaten, Normen oder sonstigen Merkmalen geprüft.
Falls sie technische oder redaktionelle Fehler enthält, behalten wir uns das Recht vor, Änderungen jederzeit und ohne Ankündigung vorzunehmen.
Aus den Angaben, Abbildungen und Beschreibungen in dieser Dokumentation können keine Ansprüche auf Änderung bereits gelieferter Produkte geltend gemacht werden.

Marken

Beckhoff®, TwinCAT®, EtherCAT®, Safety over EtherCAT®, TwinSAFE®, XFC® und XTS® sind eingetragene und lizenzierte Marken der Beckhoff Automation GmbH.
Die Verwendung anderer in dieser Dokumentation enthaltenen Marken oder Kennzeichen durch Dritte kann zu einer Verletzung von Rechten der Inhaber der entsprechenden Bezeichnungen führen.

Patente

Die EtherCAT Technologie ist patentrechtlich geschützt, insbesondere durch folgende Anmeldungen und Patente:
EP1590927, EP1789857, DE102004044764, DE102007017835
mit den entsprechenden Anmeldungen und Eintragungen in verschiedenen anderen Ländern.

Die TwinCAT Technologie ist patentrechtlich geschützt, insbesondere durch folgende Anmeldungen und Patente:
EP0851348, US6167425 mit den entsprechenden Anmeldungen und Eintragungen in verschiedenen anderen Ländern.

Copyright

© Beckhoff Automation GmbH & Co. KG, Deutschland.
Weitergabe sowie Vervielfältigung dieses Dokuments, Verwertung und Mitteilung seines Inhalts sind verboten, soweit nicht ausdrücklich gestattet.
Zuwiderhandlungen verpflichten zu Schadenersatz. Alle Rechte für den Fall der Patent-, Gebrauchsmuster- oder Geschmacksmustereintragung vorbehalten.


Allgemein

Das TCatScopeView ist ein Analysewerkzeug, mit dem Variablen aus verschiedenen Software-Tasks (z.B. SPS-Tasks) grafisch dargestellt werden können. Die Aufzeichnung kann dabei wahlweise gegen die Zeit oder auch als XY-Darstellung erfolgen.

Jedes Scope View kann über mehrere Kanäle verfügen, wobei die Anzahl nur durch den Speicher und der Rechnergeschwindigkeit beschränkt ist. Bei der Darstellung gegen die Zeit, ist jedem Kanal eine Variable zugeordnet. Für die XY-Darstellung sind pro Kanal zwei Variablen zugeordnet.

Aufbau des TwinCAT Scope Views

Das TCatScopeView ist in 3 Hauptfenster unterteilt. Auf der linken Seite befindet sich eine Baumstruktur, die alle Scope-Views und deren Kanäle auflistet. Die Scope-Views befinden sich auf der rechten Seite und beinhalten die Plots der angewählten Kanäle.

In dem unteren Fenster werden die Eigenschaften des aktuell angewählten Elements in der Baumstruktur dargestellt.


Allgemeine Bedienungsmöglichkeiten

Um mit dem TCatScopeView Variablen einer Software-Task aufzeichnen zu können, muss eine Konfiguration geladen oder neu erstellt werden.

In diesem Kapitel wird das Erstellen einer neuen Konfiguration und die damit verbundenen Einstellungsmöglichkeiten beschrieben.

Kontextmenü

Baumelemente einfügen

Baumelemente können über das Kontextmenü eingefügt werden. Dazu muss das Basiselement, unter dem ein neues Element hinzugefügt werden soll, angewählt sein.

Das Kontextmenü kann mit der rechten Maustaste oder mit der Tastenkombination <ALT + Enter> geöffnet werden. Jedes Element, bei dem ein Unterelement hinzugefügt werden kann, verfügt über einen entsprechenden Punkt im Kontextmenü.

Baumelement löschen

Um ein Baumelement zu löschen, gibt es mehrere Möglichkeiten. Voraussetzung zum Löschen eines Elements ist es, dass das Element in der Baumstruktur angewählt ist.

  • <Entf> - Taste
  • Kontextmenü: Jedes Element in der Baumstruktur, das gelöscht werden kann, verfügt über ein entsprechenden Punkt im Kontextmenü.

Baumelement umbenennen

Ein Baumelement kann auf verschiedenen Wegen umbenannt werden. Auch hier ist wieder Voraussetzung, dass das Element angewählt ist.

  • <F2> - Taste
  • Maus: Klick mit der linken Maustaste auf das Textfeld des Elements.

Wechseln der Fenster per Tastatur

Mit der <F6> - Taste kann zwischen der Baumstruktur und den Eigenschaftsseiten hin- und hergeschaltet werden.


Hinzufügen eines Scope-Views

Wie ein Scope-View Element in die Baumstruktur eingefügt werden kann, ist unter "Allgemeine Bedienungsmöglichkeiten" beschrieben.

Mit einem Klick auf das Element "Scope-View anfügen..", wird folgender Dialog geöffnet:

Hier kann nun ausgewählt werden, ob das Plot gegen die Zeit oder als XY-Darstellung aufgezeichnet werden soll.

Nachdem nun ein Scope-View-Element in die Baumstruktur eingefügt wurde, erscheint zunächst auf der rechten Seite ein leeres Scope-View, d.h. es sind noch keine Kanäle enthalten. Doch bevor ein Kanal hinzugefügt wird, sollen die Eigenschaften eines Scope-Views geklärt werden. Dazu werden im folgenden die einzelnen Eigenschaftsseiten (Property Pages) beschrieben.

Wenn Sie nun schnell Kanäle aufzeichnen wollen, können Sie auch direkt mit dem Kapitel "Hinzufügen eines Kanals" fortfahren und bei den Eigenschaften des Scope-Views die Standardeinstellungen verwenden.

General

Auf der Eigenschaftsseite "General" wird der Name des gerade angewählten Scope-Views aufgeführt. Der Name in der Baumstruktur und auf dieser Eigenschaftsseite ist gleich und kann auch von hier geändert werden.

Hinweis:

Bei einem Ausdruck des Scope-Views wird der Kommentar mit ausgedruckt.

Eigenschaften

Zeige Scope

Das TCatScopeView verfügt über die Möglichkeit, mehrere Scope-Views gleichzeitig darzustellen. Mit Hilfe der Checkbox "Zeige Scope" wird festgelegt, ob das Scope-View im Online-Mode (Aufnahme) dargestellt wird. Ist dieses Flag nicht aktiv, so werden im Online-Mode keine Kanäle aufgezeichnet und sind somit auch später nicht darstellbar.

Überlast-Stopp

ab TwinCAT V2.8 Build 722

Überschreitet die Anzahl der noch nicht bearbeiteten Daten einen Schwellwert, so wird das Scope automatisch in den Offline-Mode versetzt.

Standard & Ringpuffer

Es gibt grundsätzlich zwei unterschiedliche Möglichkeiten, die Plots eines Scope-Views aufzuzeichnen.

Ist "Standard" angewählt (Default), so werden die Kanäle des Scope-Views ab dem Triggersignal für die in der Aufnahmedauer angegebenen Zeit aufgenommen. Dabei erfolgt die Darstellung von links nach rechts. Wenn das Ende der Aufnahmedauer erreicht ist, wird der Online-Mode automatisch beendet.

Alternativ kann der Ringpuffer angewählt werden. Dabei wird solange aufgezeichnet, bis der Online-Mode explizit beendet wird. In diesem Fall wird der aktuelle Wert immer am rechten Rand des Scope-Views gezeichnet und die alten Werte entsprechend nach links geschoben.

Die "dargestellte Länge" beschreibt hierbei die Zeit, die im Scope-View direkt dargestellt wird. Im Offline-Mode können aber auch noch ältere Werte angezeigt werden, wobei die "History Länge" bei der Aufnahmedauer angegeben wird.

Wiederholrate

Die Wiederholrate beschreibt die Zeit, mit der das Scope-View aktualisiert wird. Dabei ist zubeachten, dass eine schnelle Wiederholrate mehr Rechnerperformance benötigt.

ADS Delay

Die darzustellenden Werte eines Kanals werden dem TCatScopeView per ADS übermittelt. Mit dem ADS Delay kann nun die Blockgröße, bzw. die Anzahl der ADS-Nachrichten beeinflusst werden.

Dieser Wert sollte im Standardfall nicht verändert werden.

Hintergrund

Mit Hilfe des Buttons "Hintergrund verändern" lässt sich die Hintergrundfarbe des Scope-Views verändern.

Trigger

Wie bereits erwähnt, besteht die Möglichkeit, auf bestimmte Ereignisse zu triggern. Dazu ist es erforderlich, dass mindestens ein Kanal im Scope-View vorhanden ist .

Einfügen einer Triggerbedingung

In der Combo-Box "Kanäle" werden alle Kanäle eines Scope-Views, die sich noch nicht in der Triggerliste (vergl. Bild oben) befinden, aufgeführt. Um ein Kanal in die Triggerliste einzufügen, muss dieser zunächst in der Combo-Box angewählt werden. Im nächsten Schritt muss der Button "Triggert bei.." angewählt werden.

Hier kann nun, durch Anklicken des Flankensymbols, ausgewählt werden, ob das Triggerereignis bei steigender oder fallender Flanke auftreten soll. Außerdem kann der Schwellwert noch editiert werden.

Hinweis

Damit das Triggerereignis ausgelöst wird, muss bei einer steigenden Flanke der Schwellwert zuvor unterschritten worden sein. Bei fallender Flanke verhält es sich genau umgekehrt.

Automatischer Trigger

Auch mit dem Standardpuffer kann eine "Endlosaufnahme" durchgeführt werden. Dazu ist der "Automatische Trigger" zu aktivieren.

Dieser prüft die Triggerbedingung, nachdem das Ende des Plots erreicht ist, erneut. Wenn die Bedingung erfüllt ist, wird das alte Plot gelöscht und ein Neues aufgezeichnet.

Start bei Triggerereignis (default)

Wenn das Triggersignal eintrifft, wird die Aufnahme gestartet

Stopp bei Triggerereignis

ab TwinCAT V2.9 Build 1031

Trifft das Triggersignal ein, so wird das Scope nach einer parametrierbaren Zeit in den Offline-Mode versetzt. Die 'Nachlaufzeit' lässt sich über den Slider 'Pretrigger' einstellen.

Um diese Funktion nutzen zu können, muss das Scope im 'Ringpuffer-Mode' sein.

Verknüpfung von Triggerbedingungen

Rechts neben der Triggerliste können die Triggerbedingungen eingestellt werden. Hierbei können entweder alle Elemente der Triggerliste "UND" oder "ODER" verknüpft werden.

Wenn diese Bedingungen nicht ausreichen sollten, ist es möglich, z.B. in der SPS-Task eine Triggerbedingung zu programmieren. Das Ergebnis dieser Bedingung kann einer SPS-Variablen zugeordnet werden. Somit kann auch das TCatScopeView auf die Variable zugreifen. Sie kann nun als "Triggerkanal" dem Scope-View zugefügt werden.

Handtrigger

Es ist aber auch denkbar, dass die Aufzeichnung manuell gestartet werden soll. Um nicht alle Kanäle aus der Triggerliste entfernen zu müssen, existiert ein sogenannter Handtrigger. Wird dieser betätigt, so wird mit der Aufzeichnung begonnen.

Editieren der Triggerkanäle

Wenn nachträglich noch Triggereigenschaften eines Kanals geändert werden sollen, muss dazu der entsprechende Kanal in der Triggerliste angewählt werden. Mit der rechten Maustaste kann das oben dargestellte Kontextmenü geöffnet werden. Durch Anwahl des Menüpunkts 'Editiere..' wird der Dialog "Bearbeite Trigger" geöffnet.

Cursor

Vergl. "Analyse eines Scope Views - Cursor"


TwinCAT Scope View

Hinzufügen eines Kanals

Um die Variablen der Software-Tasks (z.B. SPS-Task) aufzeichnen zu können, müssen diese im TCatScopeView beschrieben werden. Dabei wird jeder darzustellenden Variable ein Kanal im Scope-View zugeordnet.

Die Vorgehensweise beim Hinzufügen eines Kanals ist die Gleiche, wie die beim Hinzufügen eines Scope-Views.

Im folgenden werden wieder die Eigenschaftsseiten (Property Pages) zu den Kanälen beschrieben.

General

Vergl. "Hinzufügen eines Scope-Views - General"

Akquisition

Mit Hilfe dieser Seite, wird die Variable beschrieben, die aufgezeichnet werden soll. Um die Werte zu editieren, klicken Sie auf "Verändern...", womit der folgende Dialog geöffnet wird:

Es gibt unterschiedliche Möglichkeiten, sich an eine Variable anzuhängen. Die Anwahl erfolgt über die Knöpfe (Radio Buttons), die unter Referenz aufgeführt sind (oben links im Dialog).

Referenz | Beschreibung
Symbolnamen | Die Variable kann direkt aus der Liste ausgewählt werden. Es ist allerdings darauf zu achten, dass der richtige Server Port angewählt ist.
Index Gruppe/Offset | Für den Fall, dass keine Symbole generiert wurden, ist es auch möglich per Index Offset und Gruppe auf die Variablen zuzugreifen. Die entsprechenden Adressen der ADS-Device-Dokumentation sind zu entnehmen.
Direkt per Symbol | Um symbolisch auf Variablen zuzugreifen, ist es nicht unbedingt erforderlich, dass alle Symbole gelesen werden. Wenn der Name bekannt ist, kann über diesen Weg die Variable angewählt werden.

AMS Net ID

Hier kann die AMS Net ID des Zielsystems angegeben werden. Diese steht standardmäßig auf "lokal", d.h. es wird die AMS Net ID des Rechners verwendet auf dem das TCatScopeView gerade läuft.

Server Port

Der Server Port muss in jedem Fall angegeben werden. Um den Port zu ermitteln vergl. "Anhang - Wie finde ich den richtigen Port?"

Für die SPS befindet sich die Portinformation im System Manager unter SPS-Konfiguration und IEC-Projekt.

Für die NC bzw. NC I ist der Port der SAF Konfiguration zu entnehmen.

Werden die Symbolnamen verwendet, so können die Symbole mit "Aktualisiere Symbole" gelesen und mit einem Klick selektiert werden.

Hinweis

Beim Aufzeichnen von Variablen aus der NC bzw. CNC ist es erforderlich, dass im System Manager die Generierung der Symbole aktiviert wird, da sonst die Symbole nicht gelesen werden können (vergl. Anhang - Erzeugen der NC Symbole).

Hinweis

Sollen die Symbole einer SPS-Task gelesen werden, so müssen diese im SPS-Projekt angewählt sein (vergl. Anleitung zum PLC-Control - Optionen).

Abtastzeit

Bei der Abtastzeit kann zwischen einer benutzerdefinierten Abtastzeit oder der Taskabtastzeit gewählt werden. Hierbei ist zu beachten, dass bei einer benutzerdefinierten Abtastzeit der eingetragene Wert immer ein Vielfaches der realen Abtastzeit sein muss.

Darstellung

Mit Hilfe dieser Eigenschaftsseite wird festgelegt, wie das Plot im Scope-View dargestellt werden soll.

Y-Achse

Bei der Wahl der Y-Achse existieren zwei Möglichkeiten. Es kann eine eigene Y-Achse kreiert werden. Dafür ist es notwendig, die untere und obere Grenze festzulegen. Außerdem kann eine Y-Achse mit einer Anderen verbunden werden. In diesem Fall werden die Darstellungsgrenzen von dem angegebenen Kanal übernommen und es wird keine eigene Y-Achse dargestellt.

Zeige Kanal

Mit dem Schalter "Zeige Kanal" kann die Darstellung eines Kanals im Scope-View aktiviert, bzw. deaktiviert werden.

Offset und Skalierung

Für jeden Kanal kann ein Offset und ein Skalierungsfaktor angegeben werden. Dabei wird der eingelesenen Wert erst mit dem Skalierungsfaktor multipliziert und anschließend der Offset addiert.

-ab TwinCAT Version 2.9 Build 1022 (Scope Build 195):

In der xt-Darstellung kann zusätzlich noch ein Offset für die Zeitachse (Offset X-Werte) eingegeben werden. Damit lässt sich jeder Kanal auf der Zeitachse verschieben. Beim Wechsel in den Online-Mode wird der X-Offset automatisch wieder auf 0 zurückgesetzt.

Style

Mit der Eigenschaftsseite "Style" wird die Darstellung des Plots im Scope View beschrieben. Dazu gehört die Farbe und Breite des Stifts. Außerdem wird mit "Style" die Art der Linie, z.B. durchgezogen, gestrichelt usw. festgelegt. Dabei ist allerdings zu beachten, dass bei einer Stiftbreite ungleich 1 immer eine durchgezogene Linie gezeichnet wird.

Zur näheren Analyse ist es häufig hilfreich die einzelnen Stützpunkte zu sehen. Dies kann ebenfalls auf dieser Seite eingestellt werden.

Hinweis:

Im Online-Mode sollten nach Möglichkeit keine Stützpunkte gezeichnet werden, da hierdurch die benötigte Rechnerleistung wesentlich erhöht wird.


Online Mode

Nachdem eine Konfiguration erstellt bzw. geladen wurde kann der Online Mode aktiviert werden. Voraussetzung hierfür ist, dass der TwinCAT System Service (TwinCAT Icon in der Task Bar ist grün) gestartet ist.

Der Online Mode wird mit der <F5>-Taste oder durch Drücken des abgebildeten Buttons aktiviert.

Während sich das TCatScopeView im Online Mode befindet, können keine Kanäle hinzugefügt oder entfernt werden. Außerdem ist es nicht möglich sie währenddessen zu editieren.

Sobald die Triggerbedingung erfüllt ist, wird mit der Aufzeichnung begonnen. Je nach Einstellung des Scope-Views wird der Online Mode automatisch beendet oder muss manuell gestoppt werden.

Für den Fall, dass keine Triggerbedingungen existieren, wird sofort mit der Aufzeichnung begonnen.

Der Online Mode kann mit der <F5>-Taste oder durch Betätigen des abgebildeten Buttons in der Toolbar beendet werden.


Analyse eines Scope Views

Cursor

Das TCatScopeView verfügt über zwei Cursor. Die Anwahl erfolgt dabei über die Eigenschaftsseite 'Cursor', die zum Scope View gehört.

Um den Cursor im Scope View zu verschieben, gibt es unterschiedliche Möglichkeiten.

Soll der Cursor per Maus verschoben werden, muss zuerst das Scope View, indem sich der Cursor befindet, angewählt werden. Anschließend muss der Cursor Button in der Toolbar aktiviert werden. Jetzt kann, durch Drücken der linken Maustaste auf den Cursor, der Cursor bei gedrückter Taste verschoben werden.

Wenn die Cursor mit den Pfeiltasten der Tastatur bewegt werden sollen, muss der zu bewegende Cursor in der Eigenschaftsseite angewählt sein (Klick mit der rechten Maustaste). Unter dieser Voraussetzung kann der Cursor mit den Pfeiltasten verschoben werden. Wird der Cursor in vertikaler Richtung verschoben, so wird immer der nächste Stützwert angezeigt. In horizontaler Richtung wird der Cursor immer um einen Punkt verschoben.
Mit der Tastenkombination <Alt> und Pfeil wird der Cursor um 10 Stützstellen verschoben.

Die dargestellten Y-Werte in der Cursor-Liste beschreiben entweder den Schnittpunkt mit der Kurve oder den Schnittpunkt mit dem horizontalen Cursor. Die Anwahl erfolgt über die beiden Knöpfe, die sich oben auf der Eigenschaftsseite befinden.

Hinweis:

Bei der XvsY-Darstellung wird lediglich die Cursor Position ermittelt.

Zoom

Mit der Maus zoomen

Neben den Cursorn bietet das TCatScopeView auch die Möglichkeit, Teile des Scope Views zu zoomen. Dazu muss zuerst das Scope View, das vergrößert werden soll, angewählt werden. Anschließend muss der Zoom Button in der Toolbar aktiviert werden. Mit der Maus kann nun der Bereich, der vergrößert werden soll, markiert werden. Dazu muss die linke Maustaste gedrückt bleiben.

Für den Fall, dass der falsche Bereich markiert wurde, kann zusätzlich noch die rechte Maustaste gedrückt werden. Damit wird die Selektierung wieder aufgehoben.

Um das Zoomen wieder rückgängig zu machen, kann entweder der Zoom-Out Button in der Toolbar oder der Buchstabe <O> gedrückt werden. Für die Bedienung per Tastatur ist es notwendig, dass die Eigenschaftsseite 'Cursor' aktiv ist.

Mit Cursor Zoomen

Um ein Scope View zu vergrößern, ist nicht unbedingt eine Maus erforderlich. Mit Hilfe der Cursor kann ein Bereich markiert werden, der vergrößert werden soll. Dazu ist es allerdings erforderlich, dass beide Cursor dargestellt werden. Wenn die Cursor auf die gewünschte Position gebracht wurden, kann mit der <Z>-Taste der Bereich, der von den Cursorn eingerahmt wird, vergrößert werden.

Hierfür ist es allerdings auch wieder notwendig, dass die Eigenschaftsseite 'Cursor' aktiv ist.


Datensicherung

Sichern der Konfiguration

Um die Gesamtkonfiguration des TCatScopeViews zu sichern, sind unterschiedliche Möglichkeiten vorhanden. Es kann entweder direkt durch Betätigen des 'Save' Buttons oder über das Menü gesichert werden.

Es ist allerdings zu beachten, dass auf diesem Weg nur die Konfiguration und nicht die eventuell vorhandenen Plots gesichert werden. Wie diese gesichert werden können, wird im folgenden näher beschrieben.

Projekt exportieren / importieren

Das Exportieren eines Projekts erfolgt wieder mit Hilfe des Kontextmenüs in der Baumstruktur.

Dabei werden beim Exportieren eines Projekts alle Scope Views (Plots) und die Konfiguration gesichert.

Über den Menüpunkt 'Projekt importieren..' kann das Projekt dann wieder geladen werden.

Scope View exportieren / importieren

Wenn nicht das gesamte Projekt, sondern nur einzelne Scope Views exportiert werden sollen, kann das mit dem Menüpunkt 'Scope-View exportieren..' realisiert werden. Hierbei werden, wie auch schon beim Projekt, die Konfigurationsdaten mit gesichert.

Das Importieren eines Scope Views erfolgt über das Basiselement in der Baumstruktur. In dessen Kontextmenü gibt es den Menüpunkt 'Scope-View importieren..', womit ein Scope View geladen werden kann.

Kanal exportieren / importieren

Es besteht auch die Möglichkeit, Kanäle einzeln zu exportieren. Dabei wird das eigentliche Plot und die kanalspezifische Konfiguration gesichert.

Das Importieren eines Kanals erfolgt über das Kontextmenü des Scope Views. Der zu importierende Kanal wird dabei an das Ende der bereits vorhandenen Kanäle angehangen.

ASCII-Tabelle exportieren

Über das Kontextmenü vom Scope View können die aufgezeichneten Werte auch als ASCII-Datei exportiert werden. Damit ist es z.B. möglich, die Daten in Origin oder Excel zu importieren.

Übersicht der Dateiformate

Suffix | Beschreibung
.scp | Sichern der Konfiguration
.spr | Projekt exportieren/importieren
.svw | Scope View exportieren/importieren
.cha | Kanal exportieren/importieren
.dat | Exportiere ASCII-Tabelle

Speichern mit einem älteren Dateiformat

-ab Scope Build 193:

Mit Scope Build 193 hat sich das Dateiformat geändert. Um mit einem älteren Dateiformat zu sichern, kann dieses im Speicher-Dialog angewählt werden.


Sonstiges

Drucken

Um ein Scope View zu drucken, muss dieses zuvor angewählt werden. Dabei wird nur der z. Zt dargestellte Bereich des Scope Views an den Drucker geleitet.

Verändern der AMS Net ID in einem Scope-View

Mit Hilfe des Kontextmenüs vom Scope View kann die AMS Net ID für alle Kanäle eines Scope Views geändert werden. Standardmäßig wird hier die eigene AMS Net ID vorgeschlagen.


TwinCAT Scope View: Anhang

Wie finde ich den richtigen Port?

Um eine Aufzeichnung mit dem Scope View machen zu können, ist es unbedingt erforderlich, dass bei der Beschreibung der Variablen (vergl. Hinzufügen eines Kanals - Akquisition) der Port angegeben wird. Dieser ist dem System Manager zu entnehmen.

SPS Port

Der Port für die SPS ist der Eigenschaftsseite "IEC1131" zu entnehmen. Um diese Seite zu sehen, klicken Sie auf das SPS Projekt unter der SPS Konfiguration.

NC Port

Um den NC Port zu ermitteln, klicken Sie im System Manager unter NC Konfiguration auf die entsprechende NC-Task. Der Port ist dann der Eigenschaftsseite "Task" zu entnehmen.


Generieren der Symbole für die NC

Um symbolisch auf die NC Variablen zugreifen zu können, ist es erforderlich, dass diese erzeugt werden. Dies geschieht durch Anwahl der Checkbox "Symbole erzeugen" im System Manager. Hier können für jede Achse Symbole generiert werden. Zusätzlich können noch Symbole für den Encoder, Drive und Controller erzeugt werden. Diese sind allerdings im Regelfall nicht von großer Bedeutung und sollten nur bei Bedarf generiert werden.